Package de.tudresden.ws.container

## Enum SumoTrafficLightType

- java.lang.Object
- - java.lang.Enum<SumoTrafficLightType>
  - - de.tudresden.ws.container.SumoTrafficLightType

- All Implemented Interfaces:
    `Serializable`, `Comparable<SumoTrafficLightType>`

      public enum SumoTrafficLightType
      extends Enum<SumoTrafficLightType>

  Deprecated.
  use package `de.tudresden.sumo.objects` instead.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `ACTUATED` | Deprecated.
    `DELAYBASED` | Deprecated.
    `HILVL_DETERMINISTIC` | Deprecated.
    `INVALID` | Deprecated.
    `OFF` | Deprecated.
    `RAIL_CROSSING` | Deprecated.
    `RAIL_SIGNAL` | Deprecated.
    `SOTL_MARCHING` | Deprecated.
    `SOTL_PHASE` | Deprecated.
    `SOTL_PLATOON` | Deprecated.
    `SOTL_REQUEST` | Deprecated.
    `SOTL_WAVE` | Deprecated.
    `STATIC` | Deprecated.
    `SWARM_BASED` | Deprecated.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `getIndex()` | Deprecated.
    `static SumoTrafficLightType` | `valueOf​(String name)` | Deprecated. Returns the enum constant of this type with the specified name.
    `static SumoTrafficLightType[]` | `values()` | Deprecated. Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### STATIC

          public static final SumoTrafficLightType STATIC

      Deprecated.

    - #### RAIL_SIGNAL

          public static final SumoTrafficLightType RAIL_SIGNAL

      Deprecated.

    - #### RAIL_CROSSING

          public static final SumoTrafficLightType RAIL_CROSSING

      Deprecated.

    - #### ACTUATED

          public static final SumoTrafficLightType ACTUATED

      Deprecated.

    - #### DELAYBASED

          public static final SumoTrafficLightType DELAYBASED

      Deprecated.

    - #### SOTL_PHASE

          public static final SumoTrafficLightType SOTL_PHASE

      Deprecated.

    - #### SOTL_PLATOON

          public static final SumoTrafficLightType SOTL_PLATOON

      Deprecated.

    - #### SOTL_REQUEST

          public static final SumoTrafficLightType SOTL_REQUEST

      Deprecated.

    - #### SOTL_WAVE

          public static final SumoTrafficLightType SOTL_WAVE

      Deprecated.

    - #### SOTL_MARCHING

          public static final SumoTrafficLightType SOTL_MARCHING

      Deprecated.

    - #### SWARM_BASED

          public static final SumoTrafficLightType SWARM_BASED

      Deprecated.

    - #### HILVL_DETERMINISTIC

          public static final SumoTrafficLightType HILVL_DETERMINISTIC

      Deprecated.

    - #### OFF

          public static final SumoTrafficLightType OFF

      Deprecated.

    - #### INVALID

          public static final SumoTrafficLightType INVALID

      Deprecated.

  - ### Method Detail

    - #### values

          public static SumoTrafficLightType[] values()

      Deprecated.
      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (SumoTrafficLightType c : SumoTrafficLightType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static SumoTrafficLightType valueOf​(String name)

      Deprecated.
      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getIndex

          public int getIndex()

      Deprecated.